Name:           directfb-examples
Version:        0.9.18
Release:        0.fdr.1.rh80
Summary:        Simple applications to demonstrate DirectFB features.

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.directfb.org/
Source:         http://www.directfb.org/download/DirectFB/DirectFB-examples-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  directfb-devel
BuildRequires:  pkgconfig

%description
The DirectFB-examples package contains a set of simple DirectFB
applications that can be used to test and demonstrate various DirectFB
features. The source code of these examples is provided under the
terms of the MIT license. See the file COPYING for details.

# -----------------------------------------------------------------------------

%prep
%setup -q -n DirectFB-examples-%{version}
#%patch -p1

# -----------------------------------------------------------------------------

%build
%configure
#        --disable-maintainer-mode \
#        --enable-shared \
#        --enable-static \
#        --disable-fast-install \
#        --disable-avifile \
#        --disable-debug

# ugly hack, seems to work to make sure binaries get relinked properly
#cp /usr/bin/libtool .

make %{?_smp_mflags}

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_datadir}/directfb-examples
%{_datadir}/directfb-examples/*
%{_bindir}/df_*
%{_bindir}/pss
%{_bindir}/spacedream

# -----------------------------------------------------------------------------

%changelog
* Tue Jul 29 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.18-0.fdr.1: initial rpm release
